org.apache.ignite.internal.visor.node

## Class VisorGridConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorGridConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorGridConfiguration
    extends Object
    implements Serializable

Data transfer object for node configuration data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridConfiguration()`

### Method Summary

Methods
`VisorAtomicConfiguration` `atomic()`
`void` `atomic(VisorAtomicConfiguration atomic)`
`VisorBasicConfiguration` `basic()`
`void` `basic(VisorBasicConfiguration basic)`
`Iterable<VisorCacheConfiguration>` `caches()`
`void` `caches(Iterable<VisorCacheConfiguration> caches)`
`Map<String,String>` `env()`
`void` `env(Map<String,String> env)`
`VisorExecutorServiceConfiguration` `executeService()`
`void` `executeService(VisorExecutorServiceConfiguration execSvc)`
`VisorGridConfiguration` `from(IgniteEx ignite)`
`Iterable<VisorIgfsConfiguration>` `igfss()`
`void` `igfss(Iterable<VisorIgfsConfiguration> igfss)`
`int[]` `includeEventTypes()`
`void` `includeEventTypes(int[] inclEvtTypes)`
`String` `includeProperties()`
`void` `includeProperties(String inclProps)`
`VisorLifecycleConfiguration` `lifecycle()`
`void` `lifecycle(VisorLifecycleConfiguration lifecycle)`
`VisorMetricsConfiguration` `metrics()`
`void` `metrics(VisorMetricsConfiguration metrics)`
`VisorPeerToPeerConfiguration` `p2p()`
`void` `p2p(VisorPeerToPeerConfiguration p2P)`
`VisorRestConfiguration` `rest()`
`void` `rest(VisorRestConfiguration rest)`
`VisorSegmentationConfiguration` `segmentation()`
`void` `segmentation(VisorSegmentationConfiguration seg)`
`VisorSpisConfiguration` `spis()`
`void` `spis(VisorSpisConfiguration spis)`
`Iterable<VisorStreamerConfiguration>` `streamers()`
`void` `streamers(Iterable<VisorStreamerConfiguration> streamers)`
`Properties` `systemProperties()`
`void` `systemProperties(Properties sysProps)`
`String` `toString()`
`VisorTransactionConfiguration` `transaction()`
`void` `transaction(VisorTransactionConfiguration txCfg)`
`Map<String,?>` `userAttributes()`
`void` `userAttributes(Map<String,?> userAttrs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridConfiguration

    public VisorGridConfiguration()

### Method Detail

#### from

    public VisorGridConfiguration from(IgniteEx ignite)

Parameters:
  `ignite` - Grid.
Returns:
  Fill data transfer object with node configuration data.

#### basic

    public VisorBasicConfiguration basic()

Returns:
  Basic.

#### basic

    public void basic(VisorBasicConfiguration basic)

Parameters:
  `basic` - New basic.

#### metrics

    public VisorMetricsConfiguration metrics()

Returns:
  Metrics.

#### metrics

    public void metrics(VisorMetricsConfiguration metrics)

Parameters:
  `metrics` - New metrics.

#### spis

    public VisorSpisConfiguration spis()

Returns:
  SPIs.

#### spis

    public void spis(VisorSpisConfiguration spis)

Parameters:
  `spis` - New SPIs.

#### p2p

    public VisorPeerToPeerConfiguration p2p()

Returns:
  P2P.

#### p2p

    public void p2p(VisorPeerToPeerConfiguration p2P)

Parameters:
  `p2P` - New p2p.

#### lifecycle

    public VisorLifecycleConfiguration lifecycle()

Returns:
  Lifecycle.

#### lifecycle

    public void lifecycle(VisorLifecycleConfiguration lifecycle)

Parameters:
  `lifecycle` - New lifecycle.

#### executeService

    public VisorExecutorServiceConfiguration executeService()

Returns:
  Executors service configuration.

#### executeService

    public void executeService(VisorExecutorServiceConfiguration execSvc)

Parameters:
  `execSvc` - New executors service configuration.

#### segmentation

    public VisorSegmentationConfiguration segmentation()

Returns:
  Segmentation.

#### segmentation

    public void segmentation(VisorSegmentationConfiguration seg)

Parameters:
  `seg` - New segmentation.

#### includeProperties

    public String includeProperties()

Returns:
  Include properties.

#### includeProperties

    public void includeProperties(String inclProps)

Parameters:
  `inclProps` - New include properties.

#### includeEventTypes

    public int[] includeEventTypes()

Returns:
  Include events types.

#### includeEventTypes

    public void includeEventTypes(int[] inclEvtTypes)

Parameters:
  `inclEvtTypes` - New include events types.

#### rest

    public VisorRestConfiguration rest()

Returns:
  Rest.

#### rest

    public void rest(VisorRestConfiguration rest)

Parameters:
  `rest` - New rest.

#### userAttributes

    public Map<String,?> userAttributes()

Returns:
  User attributes.

#### userAttributes

    public void userAttributes(Map<String,?> userAttrs)

Parameters:
  `userAttrs` - New user attributes.

#### caches

    public Iterable<VisorCacheConfiguration> caches()

Returns:
  Caches.

#### caches

    public void caches(Iterable<VisorCacheConfiguration> caches)

Parameters:
  `caches` - New caches.

#### igfss

    public Iterable<VisorIgfsConfiguration> igfss()

Returns:
  Igfss.

#### igfss

    public void igfss(Iterable<VisorIgfsConfiguration> igfss)

Parameters:
  `igfss` - New igfss.

#### streamers

    public Iterable<VisorStreamerConfiguration> streamers()

Returns:
  Streamers.

#### streamers

    public void streamers(Iterable<VisorStreamerConfiguration> streamers)

Parameters:
  `streamers` - New streamers.

#### env

    public Map<String,String> env()

Returns:
  Environment.

#### env

    public void env(Map<String,String> env)

Parameters:
  `env` - New environment.

#### systemProperties

    public Properties systemProperties()

Returns:
  System properties.

#### systemProperties

    public void systemProperties(Properties sysProps)

Parameters:
  `sysProps` - New system properties.

#### atomic

    public VisorAtomicConfiguration atomic()

Returns:
  Configuration of atomic data structures.

#### atomic

    public void atomic(VisorAtomicConfiguration atomic)

Parameters:
  `atomic` - New configuration of atomic data structures.

#### transaction

    public VisorTransactionConfiguration transaction()

Returns:
  Transactions configuration.

#### transaction

    public void transaction(VisorTransactionConfiguration txCfg)

Parameters:
  `txCfg` - New transactions configuration.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015